> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://uploadcare.com/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://uploadcare.com/docs/_mcp/server.

# Get information about a file group

GET https://upload.uploadcare.com/group/info/

Returns a JSON object with information about a file group (when the group was created,
number of the files in the group, etc).


Reference: https://uploadcare.com/docs/api/upload/groups/files-group-info

## Request

### Query parameters

- `pub_key` (string, required) — Public key identifying an Uploadcare project your uploads will go to.
- `group_id` (string, required) — Group's unique ID. Group IDs look like `UUID~N`, where the `~N` part reflects the number of the files in the group.

## Response

### 200

File group information was retrieved successfully.

- `id` (string, optional) — Group's unique ID.
- `datetime_created` (datetime, optional) — ISO-8601 date and time when the group was created.
- `files_count` (integer, optional) — Number of the files in the group.
- `cdn_url` (string, optional) — Group's CDN URL.
- `url` (string, optional) — Group's API resource URL. See the [REST API](/docs/api/rest/) documentation for details.
- `files` (list of any, optional, nullable) — The list of files in the group. An array may contain null values if a file has been removed.
- `datetime_stored` (datetime, optional, nullable, deprecated) — Deprecated. This field will be removed in a future version of the Upload API.

## Examples

**Response**

```json
{
  "id": "0d712319-b970-4602-850c-bae1ced521a6~1",
  "datetime_created": "2018-09-12T10:03:38.686710Z",
  "files_count": 1,
  "cdn_url": "https://ucarecdn.com/0d712319-b970-4602-850c-bae1ced521a6~1/",
  "url": "https://api.uploadcare.com/groups/0d712319-b970-4602-850c-bae1ced521a6~1/",
  "files": [
    "string"
  ],
  "datetime_stored": null
}
```

**SDK Code**

```javascript JS
import { groupInfo } from '@uploadcare/upload-client'

const result = await groupInfo(
  '0d712319-b970-4602-850c-bae1ced521a6~1',
  {
    publicKey: 'YOUR_PUBLIC_KEY'
  }
)

```

```php PHP
<?php
$configuration = Uploadcare\Configuration::create((string) $_ENV['UPLOADCARE_PUBLIC_KEY'], (string) $_ENV['UPLOADCARE_SECRET_KEY']);

$uploader = new Uploadcare\Uploader\Uploader($configuration);
$groupInfo = $uploader->groupInfo('0d712319-b970-4602-850c-bae1ced521a6~1');
echo $groupInfo->getBody()->getContents();

```

```python Python
from pyuploadcare import Uploadcare, FileGroup

uploadcare = Uploadcare(public_key='YOUR_PUBLIC_KEY', secret_key='YOUR_SECRET_KEY')
file_group = uploadcare.file_group('0d712319-b970-4602-850c-bae1ced521a6~1')
print(file_group.info)

```

```ruby Ruby
require 'uploadcare'
Uploadcare.config.public_key = 'YOUR_PUBLIC_KEY'
Uploadcare.config.secret_key = 'YOUR_SECRET_KEY'

uuid = '0d712319-b970-4602-850c-bae1ced521a6~1'
info = Uploadcare::Group.info(uuid)
puts info.inspect

```

```swift Swift
import Uploadcare

let uploadcare = Uploadcare(withPublicKey: "YOUR_PUBLIC_KEY", secretKey: "YOUR_SECRET_KEY")

let group = try await uploadcare.uploadAPI.filesGroupInfo(groupId: "0d712319-b970-4602-850c-bae1ced521a6~1")
print(group)

```

```kotlin Kotlin
import com.uploadcare.android.library.api.UploadcareClient

val uploadcare = UploadcareClient(publicKey = "YOUR_PUBLIC_KEY", secretKey = "YOUR_SECRET_KEY")

val group = uploadcare.getUploadedGroup(groupId = "0d712319-b970-4602-850c-bae1ced521a6~1")
Log.d("TAG", group.toString())

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://upload.uploadcare.com/group/info/?group_id=d52d7136-a2e5-4338-9f45-affbf83b857d%7E2&pub_key=YOUR_PUBLIC_KEY"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://upload.uploadcare.com/group/info/?group_id=d52d7136-a2e5-4338-9f45-affbf83b857d%7E2&pub_key=YOUR_PUBLIC_KEY")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://upload.uploadcare.com/group/info/?group_id=d52d7136-a2e5-4338-9f45-affbf83b857d%7E2&pub_key=YOUR_PUBLIC_KEY");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```